Get a tax statement
curl --request GET \
--url https://api.fintoc.com/v1/tax_statements/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/tax_statements/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/tax_statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/tax_statements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/tax_statements/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/tax_statements/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/tax_statements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "taxstmt_nMNejK7BT8oGbvO4",
"object": "tax_statement",
"currency": "CLP",
"document_number": "123456",
"fiscal_year": 2021,
"institution_id": "cl_fiscal_sii",
"institution_tax_statement": {
"monthly_provisional_payments": null,
"retention_fee": 6497,
"salary_tax": 1870153,
"total_credit": 403497,
"total_debit": 1173692,
"total_payment": 2646845
},
"interval_unit": "monthly",
"period": "10",
"status": "Vigente",
"taxpayer": {
"id": "111111111",
"institution_tax_payer": {
"activities": [
{
"category": "1",
"code": "620200",
"description": "Servicios de tecnología",
"iva": false,
"started_at": "2020-04-16T04:00:00.000Z"
}
],
"addresses": [
{
"apartment": null,
"city": "Santiago",
"code": "84345463",
"commune": "PROVIDENCIA",
"number": "2461",
"region": "REGION METROPOLITANA",
"street": "LOS CONQUISTADORES"
}
],
"authorized_documents": [
{
"authorized_at": "2021-11-30T15:57:38.584Z",
"code": "33",
"description": "FACTURA ELECTRONICA",
"max_documents": 414
}
],
"email": "hello@fintoc.com",
"institution_office": null,
"phone": "999999999"
},
"name": "Fintoc SpA"
}
}{
"error": {
"type": "invalid_request_error",
"code": "empty_string",
"param": "link_token",
"message": "Empty string is invalid: link_token",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_link_token",
"param": "link_token",
"message": "Invalid access token for link: link_nMNejK7BT8oGbvO4_token_****",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such tax_statement: taxstmt_nMNejK7BT8oGbvO4",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Tax statements
Get a tax statement
Retrieves a tax statement by its id, using the link’s link_token to authenticate the request. You can only retrieve tax statements that belong to the link’s fiscal account.
GET
/
v1
/
tax_statements
/
{id}
Get a tax statement
curl --request GET \
--url https://api.fintoc.com/v1/tax_statements/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/tax_statements/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/tax_statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/tax_statements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/tax_statements/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/tax_statements/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/tax_statements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "taxstmt_nMNejK7BT8oGbvO4",
"object": "tax_statement",
"currency": "CLP",
"document_number": "123456",
"fiscal_year": 2021,
"institution_id": "cl_fiscal_sii",
"institution_tax_statement": {
"monthly_provisional_payments": null,
"retention_fee": 6497,
"salary_tax": 1870153,
"total_credit": 403497,
"total_debit": 1173692,
"total_payment": 2646845
},
"interval_unit": "monthly",
"period": "10",
"status": "Vigente",
"taxpayer": {
"id": "111111111",
"institution_tax_payer": {
"activities": [
{
"category": "1",
"code": "620200",
"description": "Servicios de tecnología",
"iva": false,
"started_at": "2020-04-16T04:00:00.000Z"
}
],
"addresses": [
{
"apartment": null,
"city": "Santiago",
"code": "84345463",
"commune": "PROVIDENCIA",
"number": "2461",
"region": "REGION METROPOLITANA",
"street": "LOS CONQUISTADORES"
}
],
"authorized_documents": [
{
"authorized_at": "2021-11-30T15:57:38.584Z",
"code": "33",
"description": "FACTURA ELECTRONICA",
"max_documents": 414
}
],
"email": "hello@fintoc.com",
"institution_office": null,
"phone": "999999999"
},
"name": "Fintoc SpA"
}
}{
"error": {
"type": "invalid_request_error",
"code": "empty_string",
"param": "link_token",
"message": "Empty string is invalid: link_token",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_link_token",
"param": "link_token",
"message": "Invalid access token for link: link_nMNejK7BT8oGbvO4_token_****",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such tax_statement: taxstmt_nMNejK7BT8oGbvO4",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Query Parameters
Response
The tax statement.
Monthly tax declaration (F29 form) the taxpayer filed with the Chilean tax authority (SII) for a period.
Was this page helpful?